<template>
  <v-container class="pt-8">
    <v-row>
      <v-col>
        <p class="title">Hi {{ user && user.firstName | capitalize }},</p>
      </v-col>
    </v-row>
    <v-row justify="center" class="pt-10" v-if="!user.circles.length">
      <v-col cols="6" class="text-center">
        <v-icon size="62">mdi-account-group-outline</v-icon>
        <p>
          It looks like you haven't joined any circles yet.<br />
          Search circle that suits your goals and needs.
        </p>
        <v-btn to="/circles" color="#f27561" elevation="0" dark
          >Find your circle</v-btn
        >
      </v-col>
    </v-row>
    <booked-circle v-if="user.circles.length"/>
  </v-container>
</template>

<script>
import { mapState, mapActions } from 'vuex'
import BookedCircle from './BookedCircle';

export default {
  components: {
    BookedCircle
  },
  data: () => ({}),
  head() {
    return {
      title: {
        inner: 'Dashboard'
      }
    }
  },
  computed: {
    ...mapState('authentication', ['user']),
    ...mapState('circle', ['allCircles'])
  },
  beforeMount() {
    if (this.user.role === 'facilitator') {
      this.$router.push('/facilitator')
    }
    this.getAllCircles()
  },
  methods: {
    ...mapActions('circle', ['getAllCircles'])
  }
}
</script>

<style lang="scss" scoped></style>
